package LATMOS::Accounts::Task::Buildnet;

use strict;
use warnings;
use base qw(LATMOS::Accounts::Task);
use LATMOS::Accounts::BuildNet;

=head1 NAME

LATMOS::Accounts::Task::Buildnet - Task to generate network configuration files

=cut

# Always try because depend also on files:
sub needupd {
    return 1;
}

sub run {
    my ($self) = @_;
    my $LA = LATMOS::Accounts::BuildNet->new($self->{config}, noacl => 1);

    my $labase = $self->{base} ? $LA->base($self->{base}) : $LA->default_base;
    $labase && $labase->load or die "Cannot load base";

    $LA->gen_all;
}

1;

__END__

=head1 SEE ALSO

L<LATMOS::Accounts::Task>, L<LATMOS::Accounts::BuildNet>

=head1 AUTHOR

Olivier Thauvin, E<lt>olivier.thauvin@latmos.ipsl.frE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2008, 2009, 2010, 2011, 2012 CNRS SA/CETP/LATMOS

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.10.0 or,
at your option, any later version of Perl 5 you may have available.

=cut
